
var Translation = {
		strTrans: {
		'es': {'pregunta': 'Visualizar pregunta',
		  'cerrarSesion': 'Cerrar sesión',
		  'idiomas' : 'Idiomas',
		  'titulo' : 'Menú',
		  'lanzarPregunta' : 'Lanzar pregunta',
		  'resultados' : 'Resultados',
		  'alertaClase' : ' En este momento no tienes ninguna clase.',
		  'alertaEnClase' : ' En este momento no estas registrado en esta clase, asegurate de haber pasado la tarjeta.',
		  'alertaPregunta' : 'En este momento no hay preguntas activas.',
		  }, 
		'eu': {'pregunta': 'Galdera ikusarazi',
		  'cerrarSesion': 'Saioa itxi',
		  'idiomas' : 'Hizkuntzak',
		  'titulo' : 'Menua',
		  'lanzarPregunta' : 'Galdera aireratu',
		  'resultados' : 'Erantzunak',
		  'alertaClase' : 'Une honetan ez duzu klaserik.',
		  'alertaEnClase' : 'Ez zaude klasean erregistratuta, txartela pasa duzula ziurta ezazu.',
		  'alertaPregunta' : 'Momentu honetan ez dago galderarik',
		  },
		'en': {'pregunta': 'Visualice question ',
		  'cerrarSesion': 'Log off',
		  'idiomas' : 'Languages',
		  'titulo' : 'Menu',
		  'lanzarPregunta' : 'Launch question',
		  'resultados' : 'Results',
		  'alertaClase' : 'You have no class at this moment.',
		  'alertaEnClase' : 'You are not logged in this class right now, make sure you have logged your card.',
		  'alertaPregunta' : 'There are no questions right now',
		  },
		'fr': {'pregunta': 'Voir la question',
		  'cerrarSesion': 'Déconnecter',
		  'idiomas' : 'Langes',
		  'titulo' : 'Menu',
		  'lanzarPregunta' : 'Poser une question',
		  'resultados' : 'Résultats',
		  'alertaClase' : 'Vous n’avez pas de classe en ce moment.',
		  'alertaEnClase' : 'Vous n’êtes pas enregistré en classe, assurez-vous que vous avez passé la carte.',//------
		  'alertaPregunta' : 'En ce moment il n’y a pas de questions actives.',
		  },
		},
		getText: function() {
			var cadena = arguments[0];
			if (typeof this.strTrans[language] !== "undefined") {
				cadena = this.strTrans[language][cadena];
			}
		   if(typeof cadena == "undefined") cadena = arguments[0];
			
			total = arguments.length;
			for(i=1;i<total;i++) {
			  valor = arguments[i];
			  cadena = cadena.replace("%s", arguments[i]);
			}
			return cadena;
		}
	}

	function load(){
		translate();
	}	
	

	
	function direct(direction)
	{
		switch(direction){ 
			case 1:
				window.location.href= "Galdera-zerrenda.php?lang=" + language;
				break;
				
			case 2:
				window.location.href= "Galdera.php?lang=" + language;
				break;
				
			case 3:
				window.location.href= "Erantzun-zerrenda.php?lang=" + language;
				break;
				
			default:
				break;
			}
	}


	function translate(){
		
		if(userType == "ROLE_TEACHER" ){
			if(questionLaunched == 1){
				document.getElementById("button-pregunta").innerHTML = Translation.getText('pregunta');
			}
			document.getElementById("button-lanzar").innerHTML = Translation.getText('lanzarPregunta');
			document.getElementById("button-resultados").innerHTML = Translation.getText('resultados');
		}
		if(userType == "ROLE_STUDENT" ){
			if(clase == 0){
				document.getElementById("label-alerta-class").innerHTML = Translation.getText('alertaClase');
			}
			else{
				if(inclass==0){
				document.getElementById("label-alerta-inclass").innerHTML = Translation.getText('alertaEnClase');
				}
				else{
				document.getElementById("label-alerta-question").innerHTML = Translation.getText('alertaPregunta');
				}
			}
		}
		document.getElementById("idiomas").innerHTML = Translation.getText('idiomas');	
		document.getElementById("cerrarSesion").innerHTML = Translation.getText('cerrarSesion');
		document.getElementById("title").innerHTML = Translation.getText('titulo');
	}