
	var Translation = {
		strTrans: {
		'es': {'cerrarSesion': 'Cerrar sesión',
		  'idiomas' : 'Idiomas',
		  'titulo' : 'Avance',
		  'respuestas' : 'Respuestas',
		  'atras' : 'Atrás',
		  'lanzar' : 'Lanzar',
		  }, 
		'eu': {'cerrarSesion': 'Saioa itxi',
		  'idiomas' : 'Hizkuntzak',
		  'titulo' : 'Aurreikuspena',
		  'respuestas' : 'Erantzunak',
		  'atras' : 'Atzera',
		  'lanzar' : 'Bidali',
		  },
		'en': {'cerrarSesion': 'Log off',
		  'idiomas' : 'Languages',
		  'titulo' : 'Preview',
		  'respuestas' : 'Answers',
		  'atras' : 'Back',
		  'lanzar' : 'Launch',
		  },
		'fr': {'cerrarSesion': 'Déconnecter',
		  'idiomas' : 'Langes',
		  'titulo' : 'Avant-première',
		  'respuestas' : 'Reponses',
		  'atras' : 'Arriére',
		  'lanzar' : 'Lancer',
		  },
		},
		getText: function() {
			var cadena = arguments[0];
			if (typeof this.strTrans[language] !== "undefined") {
				cadena = this.strTrans[language][cadena];
			}
		   if(typeof cadena == "undefined") cadena = arguments[0];
			
			total = arguments.length;
			for(i=1;i<total;i++) {
			  valor = arguments[i];
			  cadena = cadena.replace("%s", arguments[i]);
			}
			return cadena;
		}
	}

	function load(){
	
		translate();
		
	}
	
	function launch(id){
	
		window.location.href= "launchQuestion.php?index=" + id + "&lang=" + language;
	
	}
	
	function back(){
	
		window.location.href= "Galdera-zerrenda.php?lang=" + language;
	}
	
		
	function translate(){
			
		document.getElementById("idiomas").innerHTML = Translation.getText('idiomas');	
		document.getElementById("cerrarSesion").innerHTML = Translation.getText('cerrarSesion');
		document.getElementById("title").innerHTML = Translation.getText('titulo');
		document.getElementById("titulo-repuestas").innerHTML = Translation.getText('respuestas');
		document.getElementById("button-atras").innerHTML = Translation.getText('atras');
		document.getElementById("button-lanzar").innerHTML = Translation.getText('lanzar');
		
	}
